actions: []
api_documentation: http://docs.ros.org/hydro/api/checkerboard_detector/html
authors: Rosen Diankov (rdiankov@cs.cmu.edu)
brief: ''
bugtracker: ''
depends:
- image_geometry
- rosconsole
- catkin
- roscpp
- message_filters
- sensor_msgs
- dynamic_tf_publisher
- eigen_conversions
- posedetection_msgs
- tf
- jsk_recognition_msgs
- cv_bridge
- tf2
depends_on:
- jsk_recognition
- denso_launch
- jsk_baxter_startup
description: "Uses opencv to find checkboards and compute their 6D poses with respect\
  \ to the image. Requires the image to be calibrated.<br/>\n    Parameters:<br/>\n\
  \    <ul>\n     <li>display - show the checkerboard detection</li>\n     <li>rect%d_size_x\
  \ - size of checker in x direction</li>\n     <li>rect%d_size_y - size of checker\
  \ in y direction</li>\n     <li>grid%d_size_x - number of checkers in x direction</li>\n\
  \     <li>grid%d_size_y - number of checkers in y direction</li>\n    </ul><br/>\
  \    \n    There can be more than one grid%d declared, the numbers should grow consecutively\
  \ starting at 0."
doc_job: doc-hydro-jsk_recognition
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
metapackages:
- jsk_recognition
msgs: []
package_type: package
release_jobs:
- ros-hydro-checkerboard-detector_sourcedeb
- ros-hydro-checkerboard-detector_binarydeb_precise_amd64
- ros-hydro-checkerboard-detector_binarydeb_precise_i386
- ros-hydro-checkerboard-detector_binarydeb_quantal_amd64
- ros-hydro-checkerboard-detector_binarydeb_quantal_i386
- ros-hydro-checkerboard-detector_binarydeb_raring_amd64
- ros-hydro-checkerboard-detector_binarydeb_raring_i386
repo_name: jsk_recognition
repo_url: ''
srvs: []
timestamp: 1442378262.169086
url: ''
vcs: git
vcs_uri: https://github.com/jsk-ros-pkg/jsk_recognition.git
vcs_version: master
